apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: myaccount-deployment
spec:
  replicas: 1
  revisionHistoryLimit: 1
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: myaccount
    spec:
      containers:
      - name: myaccount-container
        image: localhost:5000/myaccount:VERSION
        ports:
        - containerPort: 80
        readinessProbe:
          httpGet:
            path: /
            port: 80
        env:
        - name: DEPLOY
          value: VERSION
        - name: ENV
          valueFrom:
            fieldRef:
              fieldPath: metadata.namespace
